Name: gridsite-ws
Version: %(echo ${MYVERSION:-1.1.x})
Release: 1%(sed 's/^\([A-Z]\)[^ ]* \([A-Z]\)[^0-9]*\([0-9][^ ]*\).*/\1\2\3/g' /etc/redhat-release | sed 's/[^A-Z,a-z,0-9]//g')
Summary: GridSite Web Services
License: Modified BSD
Group: System Environment/Daemons
Source: %{name}-%{version}.src.tar.gz
Prefix: %(echo ${MYPREFIX:-/usr})
URL: http://www.gridsite.org/
Vendor: GridPP
Requires: libxml2
#Buildrequires: libxml2-devel,curl-ssl-devel,httpd-devel
Packager: Andrew McNab <Andrew.McNab@manchester.ac.uk>

%description
GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
a library for manipulating these technologies (libgridsite), and CGI
programs for interactive management of HTTP(S) servers (gridsite-admin.cgi)

See %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-%{version} and
http://www.gridsite.org/ for details.

%package services
Group: Applications/Internet
Summary: GridSite WS gridsite-delegation.cgi

%description services
GridSite WS delegation service, gridsite-delegation.cgi

%package commands
Group: Applications/Internet
Summary: GridSite WS htproxyput
Requires: curl, gridsite-shared

%description commands
GridSite WS delegation client, htproxyput

%prep

%setup

%build
cd src
make prefix=$RPM_BUILD_ROOT/%(echo ${MYPREFIX:-/usr}) \
GSOAPDIR=$GSOAPDIR OPENSSL_FLAGS=$OPENSSL_FLAGS \
OPENSSL_LIBS=$OPENSSL_LIBS FLAVOR_EXT=$FLAVOR_EXT

%install
cd src
make install prefix=$RPM_BUILD_ROOT/%(echo ${MYPREFIX:-/usr}) \
GSOAPDIR=$GSOAPDIR OPENSSL_FLAGS=$OPENSSL_FLAGS \
OPENSSL_LIBS=$OPENSSL_LIBS FLAVOR_EXT=$FLAVOR_EXT

%files services
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/sbin/gridsite-delegation.cgi
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man8/gridsite-delegation.8.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/CHANGES
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/LICENSE
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/README
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/INSTALL
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/VERSION
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/delegation-1.1.0.wsdl
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/gridsite-delegation.8

%files commands
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/bin/htproxyput
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/bin/htproxydestroy
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/bin/htproxytime
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/bin/htproxyunixtime
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/bin/htproxyrenew
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man1/htproxyput.1.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man1/htproxydestroy.1.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man1/htproxytime.1.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man1/htproxyunixtime.1.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/man/man1/htproxyrenew.1.gz
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/CHANGES-commands
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/LICENSE-commands
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/htproxyput.1
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/htproxydestroy.1
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/htproxytime.1
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/htproxyunixtime.1
%attr(-, root, root) %(echo ${MYPREFIX:-/usr})/share/doc/gridsite-ws-%{version}/htproxyrenew.1
